QUORUM_FINALIZE(3)

NAME
quorum_finalize - Terminate a connection to the quorum service

SYNOPSIS
#include <corosync/quorum.h>

int quorum_finalize(quorum_handle_t handle);

DESCRIPTION
The quorum_finalize function is used to close a connection to the quorum API. Once the connection is finalized, the handle may not be used again by applications. No more callbacks will be dispatched from the quorum_dispatch function.

RETURN VALUE
This call returns the CS_OK value if successful, otherwise an error is returned.

ERRORS

CS_ERR_TRY_AGAIN Resource temporarily unavailable CS_ERR_INVALID_PARAM Invalid argument CS_ERR_ACCESS Permission denied CS_ERR_LIBRARY The connection failed CS_ERR_INTERRUPT System call interrupted by a signal CS_ERR_NOT_SUPPORTED The requested protocol/functionality not supported CS_ERR_MESSAGE_ERROR Incorrect auth message received CS_ERR_NO_MEMORY Not enough memory to complete the requested task

SEE ALSO
quorum_overview(8), quorum_initialize(3), quorum_getquorate(3), quorum_trackstart(3), quorum_trackstop(3), quorum_fd_get(3), quorum_dispatch(3), quorum_context_set(3), quorum_context_get(3)